package com.example.course.user.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.example.course.user.dao.WechatUserMapper;
import com.example.course.user.domain.WechatUser;
import com.example.course.user.dto.WXAuth;
import com.example.course.user.service.WechatUserService;
import com.example.course.utils.Result;
import com.example.course.utils.TokenUtils;
import com.example.course.utils.WxService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.TimeUnit;

/**
 * 微信用户服务实现类
 */
@Service
public class WechatUserServiceImpl extends ServiceImpl<WechatUserMapper, WechatUser> implements WechatUserService {

}
